Summary:	X.org mouse input driver
Summary(pl.UTF-8):	Sterownik wejściowy myszy dla X.org
Name:		xorg-driver-input-mouse
Version:	1.8.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-mouse-%{version}.tar.bz2
# Source0-md5:	f314c56e4ac6c8fc0cc2710892d5776e
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.7
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org mouse input driver. It supports most available mouse types and
interfaces, including USB and PS/2.

%description -l pl.UTF-8
Sterownik wejściowy myszy dla X.org. Obsługuje większość dostępnych
rodzajów myszy i interfejsów, w tym USB i PS/2.

%package devel
Summary:	Header file for mouse driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika myszy
Group:		Development/Libraries

%description devel
Header file for mouse driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika myszy.

%prep
%setup -q -n xf86-input-mouse-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/mouse_drv.so
%{_mandir}/man4/mousedrv.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/xf86-mouse-properties.h
%{_pkgconfigdir}/xorg-mouse.pc
%changelog
* Tue Jul 31 2012 Jakub Bogusz <qboosh@pld-linux.org> f7c1ded
- updated to 1.8.1

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 9f83564
- updated to 1.8.0
- introduced -devel subpackage

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 305c2c4
- updated to 1.7.2

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f6ab898
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 68e4dae
- release 2

* Fri Jul 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 0b10712
- updated to 1.7.1

* Thu Mar 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 8039151
- updated to 1.7.0

* Wed Mar 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 552b31d
- removed indirect-only randrproto BR

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1c8ef82
- up to 1.6.99.901

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d5aa142
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 016db9a
- rel 2

* Tue Sep 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 0c7b91a
- updated to 1.6.0

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> caa20e8
- unexpand

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 4361f75
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

* Fri Aug 27 2010 Jakub Bogusz <qboosh@pld-linux.org> 2b3d0fb
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 954b715
- release 3

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 73d0006
- release 2

* Tue Oct 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fbcecd
- up to 1.5.0

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d5a418a
- release 2

* Thu Sep 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cc3e18
- up to 1.4.99.1

